#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCD,0x6E,0xD1,0xFC,0x05,0x6D,0x80,0x70,0x49,0xB0,0x8B,0x2A,
		0x17,0x49,0x44,0x2B,0x25,0x90,0x8F,0xE4,0x0E,0x26,0x66,0x0C,
		0xBF,0xA7,0xA3,0xD1,0x35,0x88,0xF1,0xF9,0x6A,0x43,0xB0,0xA6,
		0x4A,0xEB,0x8C,0x2A,0x0E,0xD2,0x58,0x1B,0x8A,0xED,0x7C,0xCB,
		0x0A,0x9B,0x7C,0xD4,0xEB,0x2C,0x87,0x51,0x08,0x37,0x3C,0xA8,
		0x7B,0xA6,0x84,0x63,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
